$(document).ready(function(){
	
	$('#record').click(function(){
		if (cur_action || $('#record').hasClass('disable')) {
			return false; // Exit if doing something else or button disabled
		}
		
		cur_action = 'recording'; // Set the current action
		$('#cur_action').text('Recording');
		
		$('.recording').prop('disabled', false); // Enable the recording property boxes
		$('.rec_disable').addClass('disable'); // Disable all links
		
		// Make the element resizable/draggable (Future, rotatable)
		$('#ele_'+selected_id)
			.draggable({grid: [snapto, snapto]})
			.resizable({grid: [snapto, snapto]})
			.bind( "dragstop", function(event, ui) { 
				$('#top').val(Math.floor(ui.position.top));
				$('#left').val(Math.floor(ui.position.left));
			})
			.bind( "resizestop", function(event, ui) {
				$('#width').val(Math.round(ui.size.width/snapto)*snapto);
				$('#height').val(Math.round(ui.size.height/snapto)*snapto);
			});
		
		// Display the starting characteristics of the element animation
		if (elements[selected_id].animations.length == 0) {
			$('#top').val(elements[selected_id].ypos);
			$('#left').val(elements[selected_id].xpos);
			$('#width').val(elements[selected_id].width);
			$('#height').val(elements[selected_id].height);
			$('#rotation').val(elements[selected_id].angle);
			$('#opacity').val(elements[selected_id].opacity);
			$('#z-index').val(elements[selected_id].zindex);
		} else {
			$('#top').val(elements[selected_id].animations[elements[selected_id].animations.length-1].ypos);
			$('#left').val(elements[selected_id].animations[elements[selected_id].animations.length-1].xpos);
			$('#width').val(elements[selected_id].animations[elements[selected_id].animations.length-1].width);
			$('#height').val(elements[selected_id].animations[elements[selected_id].animations.length-1].height);
			$('#rotation').val(elements[selected_id].animations[elements[selected_id].animations.length-1].angle);
			$('#opacity').val(elements[selected_id].animations[elements[selected_id].animations.length-1].opacity);
			$('#z-index').val(elements[selected_id].animations[elements[selected_id].animations.length-1].zindex);
		}
	});
	
});