$(document).ready(function(){

	$('#add').click(function(){ // Adding new element
		if (cur_action) {
			return false; // Exit if something is already in progress
		}
		cur_action = 'adding'; // Set the current global action
		// Add the basic element and make it draggable/resizable (Future, rotatable).
		$('.ani_element').removeClass('selected'); // Remove the selected class from all current elements
		$('#main_panel').append('<div class="ani_element selected" id="ele_'+id_count+'"></div>');
		selected_id = id_count; // Set the global var with the new element's id
		$('#ele_'+id_count)
			.draggable({grid: [snapto, snapto]})
			.resizable({grid: [snapto, snapto]})
			.bind( "dragstop", function(event, ui) { 
				$('#top').val(ui.position.top);
				$('#left').val(ui.position.left);
			})
			.bind( "resizestop", function(event, ui) {
				$('#width').val(Math.round(ui.size.width/snapto)*snapto);
				$('#height').val(Math.round(ui.size.height/snapto)*snapto);
			});
		
		// Display the basic characteristics of the new element
		$('#id').val(id_count);
		$('#top').val(100);
		$('#left').val(100);
		$('#width').val(100);
		$('#height').val(100);
		$('#rotation').val(0);
		$('#opacity').val(1);
		$('#z-index').val(1);
		
		// Display current action and enable some elements
		$('#cur_action').text('Adding element');
		$('.adding').prop('disabled', false);
		$('.rec_disable').addClass('disable'); // Disable all links
	});

});